Subject: bug#40702: 28.0.50; (what-cursor-position) barfs on non-ASCII char

From: Dima Kogan <[email-masked]>
Date: Sat, 18 Apr 2020 15:22:13 -0700

Štěpán Němec <[email-masked]> writes:

> I can't reproduce this on current master

Thanks for checking. It's very consistent on my end. I poked at it a
little bit just now.

I see that buffer-file-coding-system is nil

It ends up evaluating

  (encoded-string-description "é" nil)

which looks at the value of

  (multibyte-string-p "é")

[ The string above is supposed to be a single unicode character; my
  email maybe will mangle it; I don't know ]

On my install this evaluates to t, which is causing the error. Which of
these shouldn't be happening? For the record, it used to work for me.